Analytics

Asset Usage V2

These endpoints return information related to the specific event. You can enrich these events with specific data about the asset or the user by making use of the Analytics Reporting tool or the Users API endpoints.
This new version resolves pagination performance issues.

Retrieve asset archives

get
https://{your-bynder-domain}/v7/analytics/api/v2/asset/archives

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorinteger

Cursor mark returned in the response headers to be used for pagination purposes.

Default:0

fromDateTimestring(date-time)

Retrieve archive events occurred after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 application/json

Successful response

assetIdstring

Example:CA510292-E39E-4B28-AB6444CDD2B1C5C0

dateTimestring(date-time)

Example:2021-11-15T10:07:57.781+00:00

eventIdstring

Example:536280dd-b06e-44be-ae9f-85e2661510a1

eventTypestring

Example:AssetArchived

userIdstring

Example:1A84D758-2B3A-141F-8F07D71AA1F223BD

get/v7/analytics/api/v2/asset/archives
 
200 application/json

Retrieve asset creations

get
https://{your-bynder-domain}/v7/analytics/api/v2/asset/creations

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorinteger

Cursor mark returned in the response headers to be used for pagination purposes.

Default:0

fromDateTimestring(date-time)

Retrieve creation events occurred after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 application/json

Successful response

assetIdstring

Example:CA510292-E39E-4B28-AB6444CDD2B1C5C0

dateTimestring(date-time)

Example:2021-11-15T10:07:57.781+00:00

eventIdstring

Example:336280dd-b06e-44be-ae9f-85e2661510a1

eventTypestring

Example:AssetCreated

userIdstring

Example:1A84D758-2B3A-141F-8F07D71AA1F223BD

get/v7/analytics/api/v2/asset/creations
 
200 application/json

Retrieve asset deletions

get
https://{your-bynder-domain}/v7/analytics/api/v2/asset/deletions

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorinteger

Cursor mark returned in the response headers to be used for pagination purposes.

Default:0

fromDateTimestring(date-time)

Retrieve deletion events occurred after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 application/json

Successful response

assetIdstring

Example:CA510292-E39E-4B28-AB6444CDD2B1C5C0

dateTimestring(date-time)

Example:2021-11-15T10:07:57.781+00:00

eventIdstring

Example:636280dd-b06e-44be-ae9f-85e2661510a1

eventTypestring

Example:AssetDeleted

fileIdsstring

Comma-separated list of file IDs.

Example:file-id-1,file-id-2

userIdstring

Example:1A84D758-2B3A-141F-8F07D71AA1F223BD

get/v7/analytics/api/v2/asset/deletions
 
200 application/json

Retrieve asset downloads

get
https://{your-bynder-domain}/v7/analytics/api/v2/asset/downloads

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorinteger

Cursor mark returned in the response headers to be used for pagination purposes.

Default:0

fromDateTimestring(date-time)

Retrieve download events occurred after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 application/json

Successful response

assetIdstring

Example:CA510292-E39E-4B28-AB6444CDD2B1C5C0

dateTimestring(date-time)

Example:2021-11-15T10:07:57.781+00:00

downloadReasonsarray[string]

Example:personal_use, marketing

eventIdstring

Example:236280dd-b06e-44be-ae9f-85e2661510a1

eventTypestring

Example:AssetDownloaded

mediaItemIdsarray[string]

Example:media-item-1, media-item-2

userIdstring

Example:1A84D758-2B3A-141F-8F07D71AA1F223BD

get/v7/analytics/api/v2/asset/downloads
 
200 application/json